package enchanting;

import java.util.ArrayList;

// Command superclass
public abstract class CustomBlock {
	public EObject evaluate(Object[] args) { 
		return null;
	}
	public final EObject evaluate() {
		return evaluate(new Object[]{});
	}
	public final EObject evaluate(ArrayList args) {
		return evaluate(args.toArray());
	}
}