Object subclass: #BYOBList
	instanceVariableNames: 'contents lastChanged '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scratch-BYOB'!

!BYOBList methodsFor: 'initializing' stamp: 'jens 7/13/2010 19:33'!
initialize
	contents _ OrderedCollection new.
	lastChanged _ Time millisecondClockValue! !


!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:33'!
clear

	contents _ OrderedCollection new.
	self changed.
! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:34'!
contains: anObject

	^ contents includes: anObject! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:35'!
deleteLineAt: aNumber

	contents removeIndex: aNumber.
	self changed! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/14/2010 00:45'!
insertLine: anObject at: aNumber

	contents add: anObject afterIndex: aNumber - 1.
	self changed! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:38'!
lineAt: aNumber

	^ contents at: aNumber! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:38'!
lineCount

	^ contents size
! !

!BYOBList methodsFor: 'list ops' stamp: 'jens 7/13/2010 12:39'!
setLineAt: aNumber to: newContents

	contents at: aNumber put: newContents.
	self changed! !


!BYOBList methodsFor: 'accessing' stamp: 'jens 7/13/2010 19:58'!
at: index

	^ contents at: index! !

!BYOBList methodsFor: 'accessing' stamp: 'jens 7/13/2010 19:34'!
contents

	^ contents! !

!BYOBList methodsFor: 'accessing' stamp: 'jens 7/14/2010 00:26'!
contents: anOrderedCollection

	contents _ anOrderedCollection.
	self changed
! !

!BYOBList methodsFor: 'accessing' stamp: 'jens 7/13/2010 19:33'!
lastChanged

	^ lastChanged! !

!BYOBList methodsFor: 'accessing' stamp: 'jens 7/13/2010 19:52'!
size
	^ contents size! !


!BYOBList methodsFor: 'updating' stamp: 'jens 7/14/2010 04:22'!
changed

	lastChanged _ Time millisecondClockValue. 
	super changed! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

BYOBList class
	instanceVariableNames: ''!

!BYOBList class methodsFor: 'demo' stamp: 'jens 7/16/2010 08:19'!
purgeAll
	"for dev purposes only"

	BYOBListWatcherMorph allInstancesDo: [:l | l delete].
	BYOBList allInstancesDo: [:l | l = nil].
	Smalltalk garbageCollect
! !

!BYOBList class methodsFor: 'demo' stamp: 'jens 7/14/2010 00:14'!
test
	"BYOBList test"

	| myList |
	myList _ BYOBList new.
	3 timesRepeat: [
		(BYOBListWatcherMorph on: myList) openInWorld; startStepping]! !
