NXTSensor subclass: #NXTRangeDetector
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-NXT Peripherals'!
!NXTRangeDetector commentStamp: '<historical>' prior: 0!
For devices that measure the range something is away from an NXT, in particular, the Ultrasonic sensor.!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NXTRangeDetector class
	instanceVariableNames: ''!

!NXTRangeDetector class methodsFor: 'accessing' stamp: 'CWB 11/20/2010 20:21'!
baseName

	^ 'ultrasonic sensor'! !

!NXTRangeDetector class methodsFor: 'accessing' stamp: 'CWB 12/18/2010 11:07'!
concreteTypes
"Returns a list of physical devices that implement the functions of this class."


	^ #(
		'Ultrasonic Sensor'
	).! !


!NXTRangeDetector class methodsFor: 'block specs' stamp: 'CWB 12/18/2010 11:13'!
configBlockSpec

	^ 'Measures distance using an %p named %s'.! !

!NXTRangeDetector class methodsFor: 'block specs' stamp: 'CWB 12/18/2010 11:36'!
providesBlocks
"Returns a list of block specifications to be used in the main user interface if there is any device configured that can use these blocks."

	| blocks |
	
	blocks _ #(
		'sensing'
			('distance from %P in cm' 		r	NXTRangeDetector:distanceFrom:)
		).

	^ blocks  ! !


!NXTRangeDetector class methodsFor: 'dropdown lists' stamp: 'CWB 12/18/2010 11:31'!
customListNumber: aNumber
"Peripherals can return custom lists (or nil)."

	^ nil.! !
